/*
* AppGlobe Demo by Martin Carlsson ( http://appglobe.com )
*/

(function($) { 
		
	setupResponsiveSidebar(); // start 

	/* 
	Sidebar lightbox trigger for displaying the sidebar in 
	a modal window ( kind of a lightbox ). Only visible for mobile devices. 
	Uses a skip link to secondary content as a trigger link .
	*/
	function setupResponsiveSidebar() {
		
		$('body').append('<div id="body_overlay"></div>');
		
		var $body_overlay = $('#body_overlay');
		
		var $responsive_sidebar_trigger = $("#responsive-sidebar-trigger");
		
		var $sidebar = $("#sidebar");
		
		$sidebar.find(".inner").prepend('<a href="#page-top" id="sidebar-close">Close&nbsp;[X]</a>');
		
		var $sidebar_close = $("#sidebar-close");
		
		$sidebar_close.hide();
		
		$(window).bind('hashchange', function() {
			
			var current_hash = window.location.hash.substring(1);
			
			if( !current_hash || current_hash != 'sidebar' ) {
			
				if( $sidebar.hasClass('responsive-sidebar') ) {
					
					$responsive_sidebar_trigger.trigger('click');
						
				}
				
			}
		});
		
		
		/* 
		Toggle sidebar lightbox visibility 
		*/
		$responsive_sidebar_trigger.on("click", function( ev ) {
			
			if( !$sidebar.hasClass('responsive-sidebar') ) {
				
				$sidebar_close.show();
				
				var docHeight = $(document).height();
				
				$body_overlay.show().css( 'height' , docHeight + 'px');
				
				$sidebar.addClass('responsive-sidebar');
				
				setTimeout(function(){
					$("html,body").scrollTop($sidebar.offset().top);
				}, 0);
				
			}
			else {
				
				$sidebar_close.hide();
				
				$body_overlay.hide();
				
				$sidebar.removeClass('responsive-sidebar');
				
			}
			
		});
		
		/* 
		Trigger sidebar lightbox visibility  
		*/
		$sidebar_close.on("click", function() {
		
			$responsive_sidebar_trigger.trigger('click');
		
		});
	}

})(jQuery);